Package org.eclipse.debug.ui.contexts

## Class DebugContextEvent

- java.lang.Object
- - java.util.EventObject
  - - org.eclipse.debug.ui.contexts.DebugContextEvent

All Implemented Interfaces:
  `Serializable`

    public class DebugContextEvent
    extends EventObject

A debug context event. Debug context events are generated by debug context providers. A debug context is represented by a selection and flags (bit mask) describing how the context has changed.

Clients may instantiate this class.

Since:
  3.3
See Also:
  `IDebugContextListener`, `IDebugContextProvider`, Serialized Form
Restriction:
  This class is not intended to be subclassed by clients.

### Field Summary

Fields
`static int` `ACTIVATED` Change constant (bit mask) indicating a context has been activated.
`static int` `STATE` Change constant (bit mask) indicating the state of a context has changed.

### Fields inherited from class java.util.EventObject

`source`

### Constructor Summary

Constructors
`DebugContextEvent​(IDebugContextProvider source, ISelection context, int flags)` Constructs a new debug context event.

### Method Summary

All Methods Instance Methods Concrete Methods
`ISelection` `getContext()` Returns the debug context associated with this event.
`IDebugContextProvider` `getDebugContextProvider()` Returns the context provider that initiated this event.
`int` `getFlags()` Returns flags which describe in more detail how a context has changed.

### Methods inherited from class java.util.EventObject

`getSource, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Field Detail

#### ACTIVATED

    public static final int ACTIVATED

Change constant (bit mask) indicating a context has been activated.

See Also:
  Constant Field Values

#### STATE

    public static final int STATE

Change constant (bit mask) indicating the state of a context has changed. State changes are only broadcast for previously activated contexts.

See Also:
  Constant Field Values

### Constructor Detail

#### DebugContextEvent

    public DebugContextEvent​(IDebugContextProvider source,
                             ISelection context,
                             int flags)

Constructs a new debug context event.

Parameters:
  `source` - source of the event - a debug context provider
  `context` - the relevant context
  `flags` - bit mask indicating how the context has changed - see change constants defined in this class

### Method Detail

#### getContext

    public ISelection getContext()

Returns the debug context associated with this event.

Returns:
  debug context, possible an empty selection

#### getFlags

    public int getFlags()

Returns flags which describe in more detail how a context has changed. See change constants defined in this class.

Returns:
  event flags

#### getDebugContextProvider

    public IDebugContextProvider getDebugContextProvider()

Returns the context provider that initiated this event.

Returns:
  context provider